Package ru.bgcrm.plugin.bgbilling.proto.model.tariff

# Class ContractTariff

java.lang.Object
org.bgerp.model.base.Id
ru.bgcrm.plugin.bgbilling.proto.model.tariff.ContractTariff

All Implemented Interfaces:
  `Serializable`, `Id<Integer>`, `PeriodSet`

public class ContractTariff extends Id implements PeriodSet

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractTariff()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `int`
  `getContractId()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `Period`
  `getPeriod()`
  `int`
  `getPosition()`
  `int`
  `getTariffPlanId()`
  `String`
  `getTitle()`
  `void`
  `setComment(String comment)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setDateTo(Date dateTo)`
  `void`
  `setPeriod(Period value)`
  `void`
  `setPosition(int position)`
  `void`
  `setTariffPlanId(int tpid)`
  `void`
  `setTitle(String title)`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractTariff

    public ContractTariff()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)
    Specified by:
      `setDateFrom` in interface `PeriodSet`

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public void setDateTo(Date dateTo)
    Specified by:
      `setDateTo` in interface `PeriodSet`

  - ### getPeriod

    public Period getPeriod()

  - ### setPeriod

    public void setPeriod(Period value)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getPosition

    public int getPosition()

  - ### setPosition

    public void setPosition(int position)

  - ### getTariffPlanId

    public int getTariffPlanId()

  - ### setTariffPlanId

    public void setTariffPlanId(int tpid)